@import url('https://fonts.googleapis.com/css2?family=Josefin+Sans:ital,wght@0,100..700;1,100..700&family=Satisfy&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

.teamimgdivmain {
    width: 100%;
    position: relative;
}

.teamimgdivinner {
    position: relative;
    width: 100%;
    height: 60vh;
    background-image: url(./Assets/s2.jpeg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;

    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    /* ensures overlay stays within bounds */
}

.teamimgdivinner::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    /* semi-transparent black */
    z-index: 1;
}

/* Ensure content inside is above the overlay */
.teamimgdivinner>* {
    position: relative;
    z-index: 2;
    color: white;
    /* Optional: makes text visible on dark overlay */
}

.teamimgdivinner img {
    width: 100%;
    height: 100%;
}


.teamheadinner {
    width: 80%;
    margin: auto;
    padding-top: 150px;
}

.teamheadinner h2 {
    color: white;
    font-size: 60px;
    font-family: "Satisfy", cursive;
}

.teamheadinner p {
    color: white;
    font-size: 20px;
       font-family: "Poppins", sans-serif;
}


/* mainsection start  */

.teammainsection {
    background-color: #f5f5f5;
}

.teammainsectionmaininner {
    /* border: 2px solid red; */
    width: 80%;
    margin: auto;
    padding: 100px 0px;
}

.teammainsectionowner {
    /* border: 2px solid green; */
    display: flex;
    gap: 20px;
}

.teammainsectionownerright {
    padding: 60px;
}

.teammainsectionownerright h2 {
    font-size: 40px;
    margin-bottom: 20px;
    font-weight: 700;
    color: #0a6b2e;
       font-family: "Poppins", sans-serif;
}

.teammainsectionownerright h4 {
    font-size: 20px;
    margin-bottom: 20px;
    margin-top: 25px;
    font-weight: 500;
       font-family: "Poppins", sans-serif;
}

.teammainsectionownerright h5 {
    font-size: 20px;
    margin-bottom: 20px;
    font-weight: 500;
       font-family: "Poppins", sans-serif;
}

.teammainsectionownerright p {
    font-size: 18px;
    text-align: justify;
    color: black;
       font-family: "Poppins", sans-serif;
}

.teammeetheading {
    color: #0a6b2e;
    font-weight: 700;
    font-size: 40px;
    margin: 60px 0px 30px 0px;
       font-family: "Poppins", sans-serif;
}

.teammeetpara {
    font-size: 22px;
    color: black;
       font-family: "Poppins", sans-serif;
}

/* mainsection start  */



/* team grid start  */

.teamgridmaininner {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    place-items: center;
    gap: 40px;
    margin-top: 60px;
}


.teamgridmainbox {
    width: 280px;
    height: 350px;
    position: relative;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
    border-radius: 6px;
}

.teamgridmainbox img {
    border-radius: 6px;
    width: 100%;
    height: 100%;
    filter: grayscale(100%);
}

.teamgridmainbox img:hover {
    width: 100%;
    height: 100%;
    filter: grayscale(0%);
}


.teamdesi {
    background-color: white;
    padding: 20px 20px;
    width: 100%;
    position: absolute;
    left: 0;
    bottom: 0;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.4s ease, visibility 0.4s ease;
    z-index: 2;
}

.teamdesi h3 {
    font-size: 20px;
       font-family: "Poppins", sans-serif;
}

.teamdesi p {
    font-size: 16px;
   font-family: "Poppins", sans-serif;
}

.teamgridmainbox:hover .teamdesi {
    opacity: 1;
    visibility: visible;
}

/* team grid end  */


/* connect us start */

.connectusmaindiv {
    width: 100%;
    height: 60vh;
    background-image: url(./Assets/Banner-4.jpeg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    /* ensures overlay stays inside */
}

.connectusmaindiv::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.7);
    /* black with 50% opacity */
    z-index: 1;
}

/* Ensure content stays above the overlay */
.connectusmaindivinner {
    position: relative;
    z-index: 2;
    color: white;
    /* Optional: to contrast with dark overlay */
    text-align: center;
}

.connectusmaindivinner h3 {
    color: white;
    font-family: "Satisfy", cursive;
    font-size: 50px;
}

.connectusmaindivinner p {
    font-size: 25px;
    color: white;
       font-family: "Poppins", sans-serif;
}

/* connect us end */


@media(max-width:600px) {
    .teamheadinner h2 {
        color: white;
        font-size: 40px;
    }

    .teamheadinner p {
        color: white;
        font-size: 16px;
    }

    .teammainsectionmaininner {
        /* border: 2px solid red; */
        width: 95%;
        margin: auto;
        padding: 60px 0px;
    }

    .teammainsectionowner {
        /* border: 2px solid green; */
        display: flex;
        flex-direction: column;
        gap: 20px;
    }

    .teammainsectionownerleft img {
        width: 100%;
        height: auto;
    }

    .teammainsectionownerright {
        padding: 30px 10px;
    }

    .teammainsectionownerright h2 {
        font-size: 24px;
        margin-bottom: 10px;
        font-weight: 700;
        color: #0a6b2e;
    }

    .teammainsectionownerright h5 {
        font-size: 18px;
        margin-bottom: 20px;
        font-weight: 500;
    }

    .teammainsectionownerright h4 {
        font-size: 16px;
        margin-bottom: 16px;
        margin-top: 16px;
        font-weight: 500;
    }

    .teammainsectionownerright p {
        font-size: 16px;
        text-align: justify;
        color: black;
    }

    .teammeetheading {
        color: #0a6b2e;
        font-weight: 700;
        font-size: 30px;
        text-align: center;
        margin: 0px 0px 10px 0px;
    }

    .teammeetpara {
        font-size: 16px;
        text-align: justify;
        color: black;
        padding: 0px 10px;
    }

    .teamgridmaininner {
        grid-template-columns: 1fr 1fr;
        /* row-gap: 20px; */
        gap: 30px;
    }

    .teamgridmainbox {
        width: 100%;
        height: auto;
        position: relative;
        box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
        border-radius: 6px;
    }

    .teamdesi {
        background-color: white;
        padding: 10px 10px;
        width: 100%;
        position: absolute;
        left: 0;
        bottom: 0;
        opacity: 0;
        visibility: hidden;
        transition: opacity 0.4s ease, visibility 0.4s ease;
        z-index: 2;
    }

    .teamdesi h3 {
        font-size: 14px;
        margin-bottom: 4px;
    }

    .teamdesi p {
        font-size: 11px;
        margin-bottom: 0;
    }

    .teamgridmainbox img {
        border-radius: 6px;
        width: 100%;
        height: 100%;
        filter: grayscale(0);
    }

    /* connect us  */

    .connectusmaindivinner h3 {
        color: white;
        font-size: 25px;
    }

    .connectusmaindivinner p {
        font-size: 18px;
        color: white;
    }

    /* connect us  */
}


@media(min-width:1800px) {
    .teamheadinner h2 {
        color: white;
        font-size: 75px;
    }

    .teamheadinner p {
        color: white;
        font-size: 25px;
    }
}